bridge.account_notifications
Purpose
Account notifications.
Supported values for type:
new_community- a new community was createdset_role- mod/admin adds a role to an accountset_props- properties set for a communityset_label- a title/badge/label has been set for an accountmute_post- a post has been muted, with a reasonunmute_post- a post has been unmuted, with a reasonpin_post- a post has been pinnedunpin_post- a post has been unpinnedflag_post- a post has been flagged by a member, with a reasonerror- provides feedback to developers for ops that cannot be interpretedsubscribe- an account has subscribed to a communityreply- a post has been replied toreblog- a post has been reblogged/resteemedfollow- an account has followed another accountmention- author mentions an accountvote- voter votes for an author
The score value is based on the originating account's rank.
Parameters
PARAMETERS
json
{
"account": "alice",
"limit": 100
}Example
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "bridge.account_notifications",
"params": {
"account": "alice",
"limit": 100
},
"id": 1
}'Response
RESPONSE
json
[
{
"id": 3629306,
"type": "vote",
"score": 25,
"date": "2019-11-20T07:48:06",
"msg": "@bob voted on your post ($0.013)",
"url": "@alice/a-post-by-alice"
}
]